Foreman - Bug #13179

oVirt Network selection doesn't select the right network during building host
01/13/2016 09:17 AM - Diego Michelotto

Status: Closed

Priority: Normal

Assignee:

Category: Compute resources - oVirt

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.9.3
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Dear Foreman Team,
| have a problem during the building of an oVirt host from foreman web interface.

| have different network defined in my oVirt Datacenter as you can see in the next screenshot.

Hame Data Center Description Role VLAHN tag Label
cloudadmin Testhed cloudadmin @ 1096

cloudpub Testbed cloudpub = 96

ocpadmin Testhed ocpadmin @ 1098

ocpdata Testhed ocpdata @ 3098

ocpmgmt Testhed ocpmgmt @ 2098

ocppub Testhbed ocppub = 98

ovirtmgmt Testhed Management Metwork W m

When | try to create a new host from Foreman, during the interface configuration | see all the networks, as you can see in the next
screenshot.
If | select a network that aren't the first suggested (the first suggested is cloudadmin) for example ocpadmin and | save it, when |
reopen the interface configuration form all is OK (is selected ocpadmin in the dropdown menu). After the other configuration | submit
the host creation. The result is a new host created on oVirt with a network interface configured with cloudadmin network that are the
first suggested in the network dropdown menu. As you can see in the next screenshot.
If | edit the new host and open the interface configuration form | found cloudadmin as selected item in the network dropdown menu
as you can see in the next screenshot.

oVirt

Name nicl

Network cloudadmin "

As test | tried to create a new host with the hammer cli and | can create a new host successfully with the correct network
configuration.

For these reason | think there are some problems in the network configuration form.
Note: | have an old istance of Foreman (1.7.3) and | don't have this problem.

foreman 1.9.3 and 1.10
oVirt 3.5.5

Best regards.
Diego

Related issues:
Copied to Foreman - Bug #13591: oVirt Network selection doesn't select the ri... Duplicate 01/13/2016

History

#1 - 01/13/2016 09:22 AM - Dominic Cleal
- Category changed from Web Interface to Compute resources - oVirt

- Priority changed from Urgent to Normal
#2 - 02/05/2016 09:49 AM - Diego Michelotto
Any news about this bug, for us is critical.

Best regards
Diego

#3 - 02/08/2016 04:07 AM - Diego Michelotto
- Copied to Bug #13591: oVirt Network selection doesn't select the right network during building host added

#4 - 02/08/2016 05:04 AM - Diego Michelotto
The bug still exist in the 1.10.1 release.

Regards
Diego

#5 - 02/08/2016 07:46 AM - Doina Cristina Aiftimiei

Would it be possible to have an assessment of when the issue could be solved?
Is critical for us ... and even a surprise as older version was not affected.
#6 - 02/24/2016 10:33 AM - Diego Michelotto

The bug still exist in the 1.10.2 release.

Regards
Diego

#7 - 04/01/2016 09:46 AM - Diego Michelotto
The bug still exist in the 1.10.3 and 1.11.0 releases.
Please have a look, for us is critical this bug.

Regards
Diego

#8 - 04/11/2016 08:09 AM - Diego Michelotto
Hi,
any news about this bug?

Best regards
Diego

#9 - 05/12/2016 06:03 AM - Angelo Lisco

Hi Diego, take a look at the patch attached to this bug and check if it fixes your issue:

http://projects.theforeman.org/issues/15020

#10 - 05/12/2016 08:46 AM - Diego Michelotto
Hi Angelo,

this patch doesn't fix my bug, the nic_info script isn't loaded at the creation of new oVirt Host. This script is used for select the correct oVirt Network

when the host is already created.

Best regards
Diego.

#11 - 05/20/2016 02:55 PM - Angelo Lisco

Whoops...sorry for the noise :(

#12 - 01/18/2017 08:59 AM - Diego Michelotto
Bug still presentin 1.12.4

#13 - 02/03/2017 03:34 AM - Diego Michelotto

After upgrade of our instance of oVirt to oVirt 4.0 the bug is gone.

#14 - 05/10/2018 06:43 AM - Shira Maximov

- Status changed from New to Closed

The bug is gone after upgrading Ovirt.
